#!/usr/bin/python3
# coding: utf-8
# Author: Marek Medved, marek.medved@sketchengine.eu, Lexical Computing CZ
import sys
BONITO_PATH = '/usr/lib/python3.6/site-packages/bonito'

if BONITO_PATH not in sys.path:
    sys.path.insert(0, BONITO_PATH)

from registration import RegisterUser


class Registration(RegisterUser):
    def __init__(self):
        self._enable_registration = False
        self._enable_mail = False
        self._smtp_server = 'localhost'
        self._passwords_path = '/var/lib/bonito/htpasswd'
        self._user_data_path = '/var/lib/bonito/registration/'
        self._from_mail ='noreply@localhost'
        self._registration_url = f'http://localhost/bonito/registration.cgi'

        # =========================================================================
        # Email content:
        # available variables that can be used in the e-mail content:
        #     {username} - user login
        #     {fullname} - user first and last name
        #     {mail} - user e-mail address
        #     {phone} - user phone number
        #     {address} - user postal address
        #     {approve_url} - approve url automatically generated
        #     {deny_url} - deny url automatically generated
        self._registration_message_subject = 'NEW NoSketch Engine registration'
        self._registration_message = '<p>New user: {username}</p>' \
                                    '<p>full name: {fullname}</p>' \
                                    '<p>e-mail: {mail}</p>' \
                                    '<p>phone number: {phone}</p>' \
                                    '<p>address: {address}</p>' \
                                    '<p>wants to register</p>' \
                                    '<p style="color:green"><b>Approve user </b>' \
                                    '<a href="{approve_url}">here</a></p>' \
                                    '<p style="color:red"><b>Deny user </b><a href="{deny_url}">here</a></p>' \
                                    '<p>This message was created automatically, do not reply to it.</p>'

        self._approve_message_subject = 'Registration of {username} to NoSketch Engine approved'
        self._approve_message = '<p>Your NoSketch Engine account has been approved and created.</p>'

        self._deny_message_subject = 'Registration of {username} to NoSketch Engine denied'
        self._deny_message = '<p>Your NoSketch Engine account has been denied.</p>'


if __name__ == '__main__':
    registration = Registration()
    registration.run_unprotected()
